<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myMasterBankLabel" jhiTranslate="mpmApp.masterBank.home.createOrEditLabel">Create or edit a Master Bank</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!masterBank.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="masterBank.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterBank.bankcode" for="field_bankcode">Bankcode</label>
            <input type="text" class="form-control" name="bankcode" id="field_bankcode"
                [(ngModel)]="masterBank.bankcode"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterBank.bankname" for="field_bankname">Bankname</label>
            <input type="text" class="form-control" name="bankname" id="field_bankname"
                [(ngModel)]="masterBank.bankname"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
